import Server from "./server.js";
const server = new Server();

const getOrgs = (cb) => {
  // 缓存?
  let OrgtreeDatasSt = window.localStorage.getItem("OrgtreeDatas")
  if(OrgtreeDatasSt){
    let orgtreeDatas = JSON.parse(OrgtreeDatasSt);

    // 缓存每12个小时更新一次
    if((new Date()).getTime() - orgtreeDatas.exprie < 12*60*60*1000){
      cb && cb(orgtreeDatas.data)
      OrgtreeDatasSt = null
      return false
    }else{
      OrgtreeDatasSt = null
      orgtreeDatas = null
      window.localStorage.removeItem("OrgtreeDatas")
    }
  }

  server.queryInitializationOrgs().then(response => {
    if (response && response.statusCode == "-1") {
      $app.$Message.error("查询失败！");
      return;
    }
    // 数据量太大 缓存一下
    window.localStorage.setItem("OrgtreeDatas", JSON.stringify({data: response, exprie: (new Date()).getTime()}))
    cb && cb(response)
  });
}

export default getOrgs 