let util = {
};


util.openTagPage = function (vm, active, params) {
  if (active === "") {
    return
  }
  let tagsList = vm.$store.state.tagsList;
  let pageOpenedList = vm.$store.state.pageOpenedList;
  let openedPageLen = pageOpenedList.length;
  let i = 0;
  let tagHasOpened = false;
  while (i < openedPageLen) {
    if (pageOpenedList[i] && active === pageOpenedList[i].name) {
      vm.$store.commit("moveToSecond", i);
      tagHasOpened = true;
      break;
    }
    i++;
  }
  if (!tagHasOpened) {
    let tag = tagsList.filter(titem => {
      if (titem.children && titem.nest != 'YES') {
        return active === titem.children[0].name;
      } else {
        return active === titem.name;
      }
    });
    tag = tag[0];

    if (!tag) {
      vm.$Message.error("没有找到此页面")
      return
    };
    tag = tag.children ? tag.children[0] : tag;

    vm.$store.commit("increateTag", tag);
    localStorage.pageOpenedList = JSON.stringify(
      vm.$store.state.pageOpenedList
    ); // 本地存储已打开页面
  }

  vm.$store.commit("setCurrentPageName", active);
  vm.$router.push({
    name: active,
    params: params
  });
};


export default util;