export default class Server {
    
        constructor(params) {
    
        }
        // 查询接收数据接口
        getReceiveDataList(param) {
            return new Promise((resolve) => {
                $axios.post(`${process.env.API.claimURL}/ClaimDataSendAndReceiveController/query`, param).then((response) => {
                        resolve(response);
                    })
                    .catch((error) => {
                        let responseData = { "dataResult": [], "extra": "", "msg": error.response.data.message || "服务异常，请联系管理员", "statusCode": "-1" };
                        resolve(responseData);
                    })
            })
        }

        //查询基本信息
        getCurrentEmployeeInfo(param) {
            return new Promise((resolve) => {
                $axios.get(`${process.env.API.claimURL}/claim/findCurrentEmployee`, param).then((response) => {
                        resolve(response);
                    })
                    .catch((error) => {
                        let responseData = { "dataResult": [], "extra": "", "msg": error.response.data.message || "服务异常，请联系管理员", "statusCode": "-1" };
                        resolve(responseData);
                    })
            })
        }


    }