export default class Server {

  constructor(params) {}

  /**
   * 查询归属公司信息
   */
  queryCompanys(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/mdOu/findCurrentMdOu`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  ///mdOu/findActualEempMdOu
  /**
   * 根据部门查询归属公司  接口 by 陈旺
   */
  findActualEempMdOu(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/mdOu/findActualEempMdOu`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

  /**
   * 付款工作台权限配置查询归属公司信息
   */
  paymentQueryCompanys(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/mdOu/findAllMdOuList`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

    /**
   * 付款申请页面查询归属公司接口 -- ems/ems-base-data/mdOu/findCurrentCompany 20190715李茂山提供
   */

  queryCompanysforPaymentPlan(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/mdOu/findCurrentCompany`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = {
          "dataResult": [],
          "extra": "",
          "msg": (error.response.data.message || "服务异常，请联系管理员"),
          "statusCode": "-1"
        };
        resolve(responseData);
      })
    })
  }

}
