// 仅在开发环境下使用mock数据
// if(process.env.API.mock) {
//   require('./mock')
// }

export default class Server {

  constructor(params) {
    
  }

  _errReporter(error) {
    return { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
  }

  _axios(url, param) {
    return new Promise((resolve) => {
      $axios.post(url, param).then((response) => {
        console.log(url, response)
        resolve(response.data);
      }).catch((error) => {
        resolve(this._errReporter(error));
      })
    })
  }

  /**
  * 报账申请权限检查
  */
  permit(param = {}) {
    return this._axios(`${process.env.API.claimURL}/claim/checkAddClaimAuthority`, param)
  }

}